[
    {
        "id": "5cb6f0e52f9d305e",
        "type": "inject",
        "z": "7ef6e858ec277a0c",
        "name": "",
        "props": [
            {
                "p": "payload"
            },
            {
                "p": "topic",
                "vt": "str"
            }
        ],
        "repeat": "",
        "crontab": "",
        "once": false,
        "onceDelay": 0.1,
        "topic": "",
        "payload": "",
        "payloadType": "date",
        "x": 150,
        "y": 780,
        "wires": [
            [
                "072783b7d3f60dda"
            ]
        ]
    },
    {
        "id": "13b558c1ec21025a",
        "type": "debug",
        "z": "7ef6e858ec277a0c",
        "name": "debug 48",
        "active": true,
        "tosidebar": true,
        "console": false,
        "tostatus": false,
        "complete": "false",
        "statusVal": "",
        "statusType": "auto",
        "x": 540,
        "y": 780,
        "wires": []
    },
    {
        "id": "072783b7d3f60dda",
        "type": "function",
        "z": "7ef6e858ec277a0c",
        "name": "function 8",
        "func": "let str = \"我要自学网\";\nlet str2 = \"-好好学习\";\nlet str3 = \"AASDFGHJ,avshdvjsajd,saldbskadk,asgjABS\";\n// msg.payload = str.charAt(3)\n// msg.payload = str.concat(str2)\n// msg.payload = str.indexOf(\"学\")\n// msg.payload = str3.lastIndexOf(\"学\")\n// msg.payload = str3.replace(\",\",\"-天天向上\")\n// msg.payload = str3.slice(0,6)\nmsg.a = str3.split(\",\")\nmsg.payload = msg.a[3].toUpperCase()\nreturn msg;",
        "outputs": 1,
        "timeout": 0,
        "noerr": 0,
        "initialize": "",
        "finalize": "",
        "libs": [],
        "x": 300,
        "y": 780,
        "wires": [
            [
                "13b558c1ec21025a",
                "df434f43e34e8fb5"
            ]
        ]
    },
    {
        "id": "df434f43e34e8fb5",
        "type": "debug",
        "z": "7ef6e858ec277a0c",
        "name": "debug 49",
        "active": true,
        "tosidebar": true,
        "console": false,
        "tostatus": false,
        "complete": "a",
        "targetType": "msg",
        "statusVal": "",
        "statusType": "auto",
        "x": 500,
        "y": 720,
        "wires": []
    }
]